> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://apidocs.polytomic.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.polytomic.com/_mcp/server.

# List Webhook Deliveries

GET https://app.polytomic.com/api/webhooks/{id}/deliveries

Lists delivery attempts for a webhook, newest first.

Use `success`, `event_id`, `start`, and `end` to narrow the results.
Results are ordered by attempt time, newest first. Pass the returned
`next_page_token` as `page_token` to fetch the next page. An empty token means
there are no more results. Response bodies contain content returned by your
webhook endpoint. Attempts are listed only while their event is retained.

Reference: https://apidocs.polytomic.com/api-reference/webhooks/list-deliveries

## Authentication

- `Authorization` header (basic auth, required) — This is the Polytomic deployment key (on-premises only)
- `Authorization` header (bearer token, required) — This is the Polytomic API key

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `success` (boolean, optional) — Filter by delivery result.
- `event_id` (string, optional)
- `start` (string, optional) — Include attempts at or after this time.
- `end` (string, optional) — Include attempts before this time.
- `page_token` (string, optional) — Token from the previous page.

## Response

### 200

OK

- `data` (list of V2WebhookDelivery, optional, nullable)
- `pagination` (PaginationDetails, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 401 Unauthorized Error

Unauthorized

- `code` (integer, optional) — Application-specific error code.
- `context` (map from string to any, optional) — Application context.
- `error` (string, optional) — Error message.
- `status` (string, optional) — Status text.

### 404 Not Found Error

Not Found

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 422 Unprocessable Entity Error

Unprocessable Entity

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

### 500 Internal Server Error

Internal Server Error

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

## Types

### V2WebhookDelivery

- `attempted_at` (string, optional)
- `duration_ms` (integer, optional, nullable)
- `error` (string, optional, nullable)
- `error_kind` (string, optional, nullable)
- `event_id` (string, optional)
- `event_type` (string, optional)
- `id` (string, optional)
- `response_body` (string, optional, nullable) — Response content returned by the webhook endpoint.
- `status_code` (integer, optional, nullable)
- `success` (boolean, optional)

### PaginationDetails

- `next_page_token` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "attempted_at": "2024-01-15T09:30:00Z",
      "duration_ms": 1,
      "error": "string",
      "error_kind": "string",
      "event_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
      "event_type": "string",
      "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
      "response_body": "string",
      "status_code": 1,
      "success": true
    }
  ],
  "pagination": {
    "next_page_token": "AmkYh8v0jR5B3kls2Qcc9y8MjrPmvR4CvaK7H0F4rEwqvg76K=="
  }
}
```

**SDK Code**

```python
import requests

url = "https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d/deliveries"

headers = {
    "X-Polytomic-Version": "X-Polytomic-Version"
}

response = requests.get(url, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d/deliveries';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {
    'X-Polytomic-Version': 'X-Polytomic-Version',
    Authorization: `Basic ${credentials}`
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d/deliveries"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Polytomic-Version", "X-Polytomic-Version")
	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d/deliveries")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Polytomic-Version"] = 'X-Polytomic-Version'
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d/deliveries")
  .header("X-Polytomic-Version", "X-Polytomic-Version")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d/deliveries', [
  'headers' => [
    'X-Polytomic-Version' => 'X-Polytomic-Version',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d/deliveries");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Polytomic-Version", "X-Polytomic-Version");

IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "X-Polytomic-Version": "X-Polytomic-Version",
  "Authorization": "Basic \(credentials)"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.polytomic.com/api/webhooks/248df4b7-aa70-47b8-a036-33ac447e668d/deliveries")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```